POST api/poolDepartmentItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PoolDepartmentItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| date | date |
Required |
|
| active | boolean |
Required |
|
| department_item_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| quantity | integer |
Required |
Request Formats
application/json, text/json
Sample:
{
"date": "2026-03-07T07:34:04.863072+00:00",
"active": true,
"department_item_id": "a87ba88d-e453-4b47-abd7-b9061da8c95f",
"id": "33741681-6bb9-438e-9018-c43e9dbd72ea",
"quantity": 5
}
application/xml, text/xml
Sample:
<pool_department_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <date>2026-03-07T07:34:04.863072+00:00</date> <department_item_id>a87ba88d-e453-4b47-abd7-b9061da8c95f</department_item_id> <id>33741681-6bb9-438e-9018-c43e9dbd72ea</id> <quantity>5</quantity> </pool_department_item>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"7528d3fd-cce2-44d5-ae9e-ec6cb0d05def"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">7528d3fd-cce2-44d5-ae9e-ec6cb0d05def</guid>